> For the complete documentation index, see [llms.txt](https://docs.sensepass.com/sensepay/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sensepass.com/sensepay/transaction-api/models/customer-shipping-billing-details-model.md).

# Customer Shipping/Billing Details Model

This model represents customer shipping/billing details that the merchant/platform shares with SensePass in order for SensePass to send this information to the payment methods to simplify the payment flows without having the consumer to type this information.

### Shipping/Billing Model

This model is referenced in the "billingAddress" field and "shippingAddress" field of the [Creating a transaction](/sensepay/transaction-api/payment-flows/create-a-transaction.md).

<table><thead><tr><th width="240.2188460730749">field</th><th width="150">type</th><th width="384.2">description</th></tr></thead><tbody><tr><td>title</td><td>string</td><td>Customer’s Title</td></tr><tr><td>given_name</td><td>string</td><td>Customer's given name</td></tr><tr><td>family_name</td><td>string</td><td>Customer's family name</td></tr><tr><td>email</td><td>string</td><td>Customer’s email address</td></tr><tr><td>country</td><td>string</td><td>Customer’s country</td></tr><tr><td>city</td><td>string</td><td>Customer’s city</td></tr><tr><td>street_address</td><td>string</td><td>Customer’s street address</td></tr><tr><td>street_address2</td><td>string</td><td>Customer’s street address. Second Line.</td></tr><tr><td>phone</td><td>string</td><td>Phone number. Preferably a mobile phone number.</td></tr><tr><td>postal_code</td><td>string</td><td>Customer’s postal code. Validation according to Universal Postal Union addressing systems.</td></tr><tr><td>region</td><td>string</td><td>Customer’s region or state - Mandatory for US and AU market. Validations according to ISO 3166-2 format, e.g. OH, NJ, etc.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sensepass.com/sensepay/transaction-api/models/customer-shipping-billing-details-model.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
